Method: projects.locations.collections.engines.assistants.agents.a2a.v1.tasks.pushNotificationConfigs.list

取得為工作設定的推播通知清單。

HTTP 要求

GET https://discoveryengine.googleapis.com/v1/{tenant=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}/a2a/v1/{parent=tasks/*}/pushNotificationConfigs

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
tenant

string

選用租戶,以路徑參數形式提供。實驗性質,1.0 版發布時可能仍會變更。

parent

string

父項工作資源。格式:tasks/{taskId}

查詢參數

參數
pageSize

integer

這些欄位適用於 AIP-158。通常不會使用/需要這些欄位。要傳回的設定數量上限。如未指定,系統會傳回所有設定。

pageToken

string

先前 ListTaskPushNotificationConfigRequest 呼叫傳回的頁面符記。提供此符記可擷取後續頁面。進行分頁時,提供至 ListTaskPushNotificationConfigRequest 的所有其他參數須與提供頁面符記的呼叫相符。

要求主體

要求主體必須為空白。

回應主體

如果成功,回應主體即會包含具有以下結構的資料:

JSON 表示法
{
  "configs": [
    {
      object (TaskPushNotificationConfig)
    }
  ],
  "nextPageToken": string
}
欄位
configs[]

object (TaskPushNotificationConfig)

推播通知設定清單。

nextPageToken

string

可做為 pageToken 傳送的權杖,用於擷取後續網頁。如果省略這個欄位,就不會有後續頁面。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview